.map-modal{
    position: absolute;
    z-index: 50;
    background-color: rgba(0, 0, 0, 0);
    width: 100%;
    height: 100%;
    left: 0%;
    top: 0%;
    transition: all 0.5s ease-out;
}

.blackscreen{
    position: absolute;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    left: 0%;
    top: 0%;
    transition: all 0.5s ease-out;
}

.map{
    position: absolute;
    z-index: 2;
    background-color: white;
    width: 90%;
    height: 70vh;
    border: 1px solid #ccc;
    padding: 16px;
    left: 5%;
    top: 10%;
    color: black;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    box-sizing: border-box;
}

.modal-button{
    position: absolute;
    z-index: 2;
    left: 88%;
    top: 1%;
    width: 10%;
    height: 6%;
}

@media (min-width: 760px) {
    .modal-button{
        position: absolute;
        z-index: 2;
        left: 94%;
        top: 1%;
        width: 5%;
        height: 6%;
    }
}